diff -pruN 2.5.1-1/debian/changelog 2.5.1-2/debian/changelog
--- 2.5.1-1/debian/changelog	2021-02-02 11:46:56.000000000 +0000
+++ 2.5.1-2/debian/changelog	2021-04-17 18:23:46.000000000 +0000
@@ -1,3 +1,10 @@
+cqrlog (2.5.1-2) unstable; urgency=medium
+
+  * Team upload.
+  * Patch from upstream commits to fix ADIF import (Closes: #987032)
+
+ -- Federico Grau <donfede@casagrau.org>  Sat, 17 Apr 2021 14:23:46 -0400
+
 cqrlog (2.5.1-1) unstable; urgency=medium
 
   * New upstream version 2.5.1.
diff -pruN 2.5.1-1/debian/patches/adif_import_regex_fix_2021-04-17.patch 2.5.1-2/debian/patches/adif_import_regex_fix_2021-04-17.patch
--- 2.5.1-1/debian/patches/adif_import_regex_fix_2021-04-17.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.5.1-2/debian/patches/adif_import_regex_fix_2021-04-17.patch	2021-04-17 18:23:46.000000000 +0000
@@ -0,0 +1,27 @@
+Patch to fix Debian#987032: cqrlog: Importing ADIF-logs results in 0 byte logs - https://bugs.debian.org/987032
+Applies upstream commits:
+    42d1ad402affd0af0f3087562c101fc34940ffc5
+    Original_Author: Petr Hlozek <petr@ok2cqr.com>
+    Date:   Sun Feb 7 07:19:57 2021 +0100
+
+    fix: workaround for 'TRegExpr exec: empty input string' error in fpc compiler
+Author: donfede@casagrau.org
+diff --git a/src/fAdifImport.pas b/src/fAdifImport.pas
+index 2481086..934b158 100644
+--- a/src/fAdifImport.pas
++++ b/src/fAdifImport.pas
+@@ -420,8 +420,12 @@ begin
+     d.IOTA  := UpperCase(d.IOTA);
+     d.NAME  := Copy(d.NAME, 1 ,40);
+     d.QTH   := Copy(d.QTH, 1, 60);
+-    d.DARC_DOK := ReplaceRegExpr('Ø', d.DARC_DOK, '0', True);
+-    d.DARC_DOK := LeftStr(Uppercase(ReplaceRegExpr('[^a-zA-Z0-9]',d.DARC_DOK, '', True)), 12);
++    //workaround for 'TRegExpr exec: empty input string' error in fpc compiler
++    if (trim(d.DARC_DOK) <> '') then
++    begin
++      d.DARC_DOK := ReplaceRegExpr('Ø', d.DARC_DOK, '0', True);
++      d.DARC_DOK := LeftStr(Uppercase(ReplaceRegExpr('[^a-zA-Z0-9]',d.DARC_DOK, '', True)), 12);
++    end;
+ 
+     d.QSL_VIA := UpperCase(d.QSL_VIA);
+     if Pos('QSL VIA',d.QSL_VIA) > 0 then
diff -pruN 2.5.1-1/debian/patches/series 2.5.1-2/debian/patches/series
--- 2.5.1-1/debian/patches/series	2021-02-02 11:46:56.000000000 +0000
+++ 2.5.1-2/debian/patches/series	2021-04-17 18:23:46.000000000 +0000
@@ -1,2 +1,3 @@
 apparmor-fix.patch
 icon-patch
+adif_import_regex_fix_2021-04-17.patch
